Package org.apache.sling.repoinit.parser

# Class RepoInitParsingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.sling.repoinit.parser.RepoInitParsingException

All Implemented Interfaces:
  `Serializable`

@ProviderType public class RepoInitParsingException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RepoInitParsingException(String reason, Throwable cause)`
`RepoInitParsingException(Throwable cause)`
`RepoInitParsingException(Throwable cause, int line, int column)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
`int`
`getLine()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RepoInitParsingException

public RepoInitParsingException(String reason, Throwable cause)

### RepoInitParsingException

public RepoInitParsingException(Throwable cause)

### RepoInitParsingException

public RepoInitParsingException(Throwable cause, int line, int column)

## Method Details

### getLine

public int getLine()

Returns:
  the line where the issue occurred or -1 if not known

### getColumn

public int getColumn()

Returns:
  the column where the issue occurred or -1 if not known